Skip to content

Delete a state ​

DELETE/api/v1/workspaces/{workspace_slug}/projects/{project_id}/states/{state_id}/

Permanently delete a workflow state from a project. You can't delete the default state or a state that still has work items.

Path parameters ​

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

state_id:requiredstring

The unique identifier of the state.

Scopes ​

projects.states:write

Delete a state
bash
curl -X DELETE \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/states/state-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.